function getBackground (item) {
  let color = item.style.backgroundColor
  // console.log('color', color)
  let alpha = parseFloat(color.split(',')[3], 10)
  if ((isNaN(alpha) || alpha > 0.8) && color !== 'transparent') {
    return color
  }
  if (item.is('body')) {
    return false
  } else {
    return this.getBackground(item.parent())
  }
}

function getLuma (color) {
  let rgba = color.substring(4, color.length - 1).split(',')
  let r = rgba[0]
  let g = rgba[1]
  let b = rgba[2]
  let luma = 0.2126 * r + 0.7152 * g + 0.0722 * b
  return luma
}
function ripple (e, el) {
  let bound = el.getBoundingClientRect()
  // console.log('bound', bound)
  // console.log('el', el)
  let x = e.clientX - bound.left
  let y = e.clientY - bound.top
  let color = getBackground(el)
  let inverse = (getLuma(color) > 183) ? ' inverse' : ''
  let ink = document.createElement('div')
  ink.className = 'ink' + inverse
  ink.style.top = y
  ink.style.left = x
  el.appendChild(ink)
  window.setTimeout(function () {
    ink.remove()
  }, 1500)
}
function bind (el, binding, vnode) {
  el.addEventListener('click', e => ripple(e, el), false)
}

let directive = {
  bind: bind
}
export default directive
